<template>
  <div class="logo" v-if="metadata.isLogo && currentScene.type=='pano'">
    <img :src="metadata.logo || require(`@/assets/images/default/logo_white_${local}.svg`)" alt="">
  </div>
</template>

<script setup>
import { useStore } from "vuex";
import { ref, onMounted, computed, watch, nextTick } from "vue";
import { useI18n, getLocale } from '@/i18n'

const store = useStore();
const metadata = computed(() => store.getters['scene/metadata'])
const currentScene = computed(() => store.getters["scene/currentScene"]);
const local = getLocale();


</script>

<style lang="scss" scoped>
.logo {
  position: absolute;
  top: 10px;
  left: 10px;
  > img {
    max-width: 80px;
    max-height: 100px;
    pointer-events: none;
  }
}
</style>
